
Infrastructure - Task #2148

Feature # 1764 (Closed): Finalize dataoneTypes schema for public release

Types.DateTime: Specify formats

2011-12-21 15:30 - Roger Dahl

Status: Rejected Start date: 2011-12-21

Priority: Normal Due date:  

Assignee: Matthew Jones % Done: 100%

Category: Documentation Estimated time: 0.00 hour

Target version: Sprint-2011.51-Block.6   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

Rewrite the docs for Types.DateTime to make it clear that there are three different formats:

HTTP Full when it’s passed in HTTP headers

YYYYMMDDTHHMMSS[.mmm]+00:00 or +Z when passed in URLs.

xsd:datetime when passed in XML.

Add text:

- Timezone is mandatory and must be UTC (avoid "GMT").

- Fraction of second has a maximum resolution of 1ms and is optional.

History

#1 - 2011-12-22 00:47 - Matthew Jones

- Status changed from New to Rejected

- % Done changed from 0 to 100

These issues were resolved earlier today with documentation updates covered under other tickets (e.g., #2097), so rejecting this ticket. 
